Subject: Re: [PATCH v5 4/6] usb: roles: add API to get usb_role_switch by node

From: Heikki Krogerus <[email-masked]>
Date: Mon, 20 May 2019 11:36:01 +0300

On Mon, May 20, 2019 at 08:06:41AM +0000, Biju Das wrote:
> Hi Heikki,
> 
> > -----Original Message-----
> > From: Heikki Krogerus <[email-masked]>
> > Sent: Monday, May 20, 2019 9:04 AM
> > To: Chunfeng Yun <[email-masked]>
> > Cc: Rob Herring <[email-masked]>; Greg Kroah-Hartman
> > <[email-masked]>; Mark Rutland <[email-masked]>;
> > Matthias Brugger <[email-masked]>; Adam Thomson
> > <[email-masked]>; Li Jun <[email-masked]>;
> > Badhri Jagan Sridharan <[email-masked]>; Hans de Goede
> > <[email-masked]>; Andy Shevchenko
> > <[email-masked]>; Min Guo <[email-masked]>;
> > [email-masked]; [email-masked]; linux-
> > [email-masked]; [email-masked]; linux-
> > [email-masked]; Biju Das <[email-masked]>; Linus
> > Walleij <[email-masked]>
> > Subject: Re: [PATCH v5 4/6] usb: roles: add API to get usb_role_switch by
> > node
> > 
> > On Mon, May 20, 2019 at 10:39:11AM +0800, Chunfeng Yun wrote:
> > > Hi,
> > > On Fri, 2019-05-17 at 16:05 +0300, Heikki Krogerus wrote:
> > > > Hi,
> > > >
> > > > On Fri, May 17, 2019 at 01:37:36PM +0300, Heikki Krogerus wrote:
> > > > > On Tue, May 14, 2019 at 04:47:21PM +0800, Chunfeng Yun wrote:
> > > > > > Add fwnode_usb_role_switch_get() to make easier to get
> > > > > > usb_role_switch by fwnode which register it.
> > > > > > It's useful when there is not device_connection registered
> > > > > > between two drivers and only knows the fwnode which register
> > > > > > usb_role_switch.
> > > > > >
> > > > > > Signed-off-by: Chunfeng Yun <[email-masked]>
> > > > > > Tested-by: Biju Das <[email-masked]>
> > > > >
> > > > > Acked-by: Heikki Krogerus <[email-masked]>
> > > >
> > > > Hold on. I just noticed Rob's comment on patch 2/6, where he points
> > > > out that you don't need to use device graph since the controller is
> > > > the parent of the connector. Doesn't that mean you don't really need
> > > > this API?
> > > No, I still need it.
> > > The change is about the way how to get fwnode; when use device graph,
> > > get fwnode by of_graph_get_remote_node(); but now will get fwnode by
> > > of_get_parent();
> > 
> > OK, I get that, but I'm still not convinced about if something like this function
> > is needed at all. I also have concerns regarding how you are using the
> > function. I'll explain in comment to the patch 5/6 in this series...
> 
> FYI, Currently  I am also using this api in my patch series.
> https://patchwork.kernel.org/patch/10944637/

Yes, and I have the same question for you I jusb asked in comment I
added to the patch 5/6 of this series. Why isn't usb_role_switch_get()
enough?

thanks,

-- 
heikki

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel